summaryrefslogtreecommitdiffstats
path: root/bin/trace
diff options
context:
space:
mode:
authorDana Robinson <derobins@hdfgroup.org>2017-04-25 06:09:55 (GMT)
committerDana Robinson <derobins@hdfgroup.org>2017-04-25 06:09:55 (GMT)
commitb1a5ba405393da68028cf1c8b159a3abb51d2187 (patch)
tree8558f5de6384e0d1a37a71ff16403cf053ad80ed /bin/trace
parent9d84abe503267baaf3ddc675a4e3182d7f415be0 (diff)
downloadhdf5-b1a5ba405393da68028cf1c8b159a3abb51d2187.zip
hdf5-b1a5ba405393da68028cf1c8b159a3abb51d2187.tar.gz
hdf5-b1a5ba405393da68028cf1c8b159a3abb51d2187.tar.bz2
Updated bin/trace to emit errors and reordered autogen.sh processing
so that script failures leave the library in a non-compilable state, making it harder to ignore errors.
Diffstat (limited to 'bin/trace')
-rwxr-xr-xbin/trace15
1 files changed, 14 insertions, 1 deletions
diff --git a/bin/trace b/bin/trace
index 19c8990..ede344c 100755
--- a/bin/trace
+++ b/bin/trace
@@ -163,6 +163,8 @@ $Source = "";
##############################################################################
# Print an error message.
#
+my $found_errors = 0;
+
sub errmesg ($$@) {
my ($file, $func, @mesg) = @_;
my ($mesg) = join "", @mesg;
@@ -172,6 +174,8 @@ sub errmesg ($$@) {
$lineno = tr/\n/\n/;
}
+ $found_errors = 1;
+
print "$file: in function \`$func\':\n";
print "$file:$lineno: $mesg\n";
}
@@ -341,4 +345,13 @@ for $file (@ARGV) {
}
}
-printf "Finished processing HDF5 API calls\n"
+if ($found_errors eq 1) {
+ printf "\n";
+ printf "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\n";
+ printf "*** ERRORS FOUND *** ERRORS FOUND *** ERRORS FOUND ****\n";
+ printf "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!\n";
+ exit 1;
+} else {
+ printf "Finished processing HDF5 API calls\n";
+}
+